Name:          zchunk
Version:       1.1.2
Release:       1mamba
Summary:       A file format designed for highly efficient deltas while maintaining good compression
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/zchunk/zchunk
## GITSOURCE https://github.com/zchunk/zchunk.git 1.1.2
Source:        https://github.com/zchunk/zchunk.git/%{version}/zchunk-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libopenssl-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
Requires:      libzck = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A file format designed for highly efficient deltas while maintaining good compression.

%package -n libzck
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libzck
This package contains shared libraries for %{name}.

%package -n libzck-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libzck = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libzck-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libzck -p /sbin/ldconfig
%postun -n libzck -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/unzck
%{_bindir}/zck
%{_bindir}/zck_delta_size
%{_bindir}/zck_gen_zdict
%{_bindir}/zck_read_header
%{_bindir}/zckdl

%files -n libzck
%defattr(-,root,root)
%{_libdir}/libzck.so.*
%doc LICENSE

%files -n libzck-devel
%defattr(-,root,root)
%{_includedir}/zck.h
%{_libdir}/libzck.so
%{_libdir}/pkgconfig/zck.pc
%doc README.md

%changelog
* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- package created using the webbuild interface
